=== debian/changelog ===
doc++ (3.0-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Tue, 18 Feb 1997 16:19:22 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "g.russell@dcs.napier.ac.uk"
End:
