=== debian/control ===
Source: doc++
Section: devel
Priority: optional
Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
Standards-Version: 2.1.2.2

Package: doc++
Architecture: any
Depends: ${shlibs:Depends}
Description: A documentation system for C/C++ and Java
 DOC++ is a documentation system for C/C++ and Java generating both LaTeX
 output for high quality hardcopies and HTML output for sophisticated
 online browsing of your documentation. The documentation is extracted
 directly from the C++ header or Java class files.
 .
 Here are a list of the highlights:
 .
 - heirarchically structured documentation
 .
 - automatic class graph generation (as Java applets for HTML)
 .
 - cross references
 .
 - high end formating support including typesetting of equations
