## doc++ 3.01

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
     CC   	= gcc
 #    CFLAGS	=  -DUNIX -g  # -DDEBUG
 #    CFLAGS 	= -DUNIX -DNDEBUG -O2 
-#    CCC  	= CC
+    CCC  	= CC
 #    CFLAGS	= -DUNIX -g# -ggdb -DDEBUG 
     CFLAGS 	= -DUNIX -DNDEBUG -O
 #    CFLAGS 	= -DUNIX -DNDEBUG -O2 -funroll-loops -fomit-frame-pointer
-    CCC  	= g++
+#    CCC  	= g++
     CXX  	= $(CCC)
     C++FLAGS 	= $(CFLAGS)
     CCFLAGS	= $(C++FLAGS)
@@ -41,7 +41,7 @@
 		  nametable.cpp tex2gif.cpp McWildMatch.cpp McHashTable.cpp
     MORESRC	= doc2tex.cpp doc2html.cpp doc.cpp	\
 		  readfiles.cpp docify.cpp java.cpp cpp.cpp
-    CLEAN	= $(MORESRC) *.o *.bak *.swp y.* *~ core doc++ docxx parser.h docify
+    CLEAN	= $(MORESRC) *.o *.bak *.swp y.* *~ core doc++ docxx parser.h docify promote
     YTAB        = y.tab
     TARGET      = doc++
 
@@ -233,7 +233,7 @@
 	-cp docxx_*.tar.gz /zibis/Visual/software/doc++/distributions/
 	-cp docxx_*.zip /zibis/Visual/software/doc++/distributions/
 	-cp docxxsrc.tar.gz docxxsrc.zip docxxdoc.tar.gz docxxdoc.zip	\
-	    /zibis/Visual/software/doc++/distributions
+	    /zibis/Visual/software/doc++
 	@echo ""
 	@echo "Do not forget to 'make ftp' as grafsabt !"
 	@echo ""
