## doc++ 3.3.15

=== doc/manual/Makefile ===
# doc/manual/Makefile for DOC++
# Copyright (c) 1999 Dragos Acostachioaie

DOCXX = ../../src/doc++

all:	html

html:
	$(DOCXX) -d html doc.dxx

latex:
	$(DOCXX) -t -o doc.tex -ep a4wide doc.dxx
	latex doc
	latex doc

ps:
	$(MAKE) latex
	dvips -o doc.ps doc.dvi

pdf:
	$(MAKE) ps
	ps2pdf doc.ps

clean:
	rm -rf html/ *.tex *.log *.aux *.dvi *.ps *.pdf
